# Push DSP account mapping action

### Push DSP account mapping action

On the EOS mainnet, the EOS mainnet’s DSP account must be connected to the new chain’s DSP account. This is done using the [`addaccount`](https://bloks.io/account/liquidx.dsp?loadContract=true\&tab=Actions\&account=liquidx.dsp\&scope=liquidx.dsp\&limit=100\&action=addaccount) command on the [`liquidx.dsp`](https://bloks.io/account/liquidx.dsp) account.

* owner {name} - DSP account name on the EOS mainnet
* chain\_account {name} - DSP account name on the new chain
* chain\_name {name} - account name of contract on the EOS mainnet that registered the chain

Cleos example:

```
cleos -u https://nodes.get-scatter.com:443 push transaction '{"delay_sec":0,"max_cpu_usage_ms":0,"actions":[{"account":"liquidx.dsp","name":"addaccount","data":{"owner":"uuddlrlrbass","chain_account":"uuddlrlrbass","chain_name":"mynewchainnn"},"authorization":[{"actor":"uuddlrlrbass","permission":"active"}]}]}'
```

On the new chain you must find the account that has deployed the `dappservicex.cpp` code. This can be found by asking a BP, a member of the community, or by checking the [`chainentry`](https://bloks.io/account/liquidx.dsp?loadContract=true\&tab=Tables\&table=chainentry\&account=liquidx.dsp\&scope=CHAIN_NAME_HERE\&limit=100) table on the [`liquidx.dsp`](https://bloks.io/account/liquidx.dsp) contract and providing the scope of the `chain_name` used to register in the previous step.

This will return the `chain_meta` field:

```
{ "is_public": 1, "is_single_node": 0, "dappservices_contract": "dappservicex", "chain_id": "e70aaab8997e1dfce58fbfac80cbbb8fecec7b99cf982a9444273cbc64c41473", "type": "EOSIO", "endpoints": [], "p2p_seeds": [], "chain_json_uri": "" }
```

The `dappservices_contract` value is the name of the contract that has deployed the `dappservicex.cpp` code, `dappservicex` in this case.

Once you have that then on the new chain, submit an `adddsp` action on that account.

* owner {name} - DSP name on new chain
* dsp {name} - DSP name on mainnet

Cleos example:

```
cleos -u $NEW_CHAIN_NODEOS_ENDPOINT push transaction '{"delay_sec":0,"max_cpu_usage_ms":0,"actions":[{"account":"dappservicex","name":"adddsp","data":{"owner":"uuddlrlrbass","dsp":"uuddlrlrbass"},"authorization":[{"actor":"uuddlrlrbass","permission":"active"}]}]}'
```

With that you have 2 way mapped your DSP account name. On the EOS Mainnet, the DSP’s account has been linked to the new chain’s network. And on the new network, the EOS Mainnet’s DSP account has been verified.

With that, the DSP is ready to offer services.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidapps.io/liquidapps-documentation/liquidx-stake-across-chains/getting-started-with-liquidx/become-a-dsp-on-another-chain/push-dsp-account-mapping-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
